### Hierarchy

- Fragment
  - WrapperBeforeFragment

### Implements

- ISourcePosition

## Index

### Constructors

- constructor

### Properties

- ch
- file
- line

### Methods

- render

## Constructors

### constructor

- new WrapperBeforeFragment(position: ISourcePosition): WrapperBeforeFragment

- Inherited from Fragment.constructor

  - Defined in CompilerInterface.ts:13

  #### Parameters

  - ##### position: ISourcePosition

  #### Returns WrapperBeforeFragment

## Properties

### ch

ch: number

Implementation of ISourcePosition.ch

Inherited from Fragment.ch

- Defined in CompilerInterface.ts:12

### file

file: string

Implementation of ISourcePosition.file

Inherited from Fragment.file

- Defined in CompilerInterface.ts:13

### line

line: number

Implementation of ISourcePosition.line

Inherited from Fragment.line

- Defined in CompilerInterface.ts:11

## Methods

### render

- render(ctx: Context): string

- Overrides Fragment.render

  - Defined in fragments/wrapper.ts:5

  #### Parameters

  - ##### ctx: Context

  #### Returns string

Generated using TypeDoc